---
title: "Get Search Volume Results by id"
url: "https://docs.dataforseo.com/v3/keywords_data/bing/search_volume/task_get/"
date: "2026-06-06"
---

## Get Search Volume Results by id



This endpoint will provide you with search volume data for the last month, search volume trend for the last year (that will let you estimate search volume dynamics), current cost-per-click and competition values for paid search.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/keywords\_data/bing/search\_volume/task\_get/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/keywords-data/bing-ads "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total *tasks* cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*    generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `search_partners` | boolean | *indicates whether data from partner networks included in the response* |
| `device` | string | *device type in a POST array*   if there is no data, then the value is `null` |
| `competition` | float | *competition*   represents the relative amount of competition associated with the given keyword in paid SERP only. This value is based on Bing Ads data.   Possible values: `0.1`, `0.5`,`0.9``0.1` – low competition,   `0.5` – medium competition,   `0.9` – high competition;   if there is no data the value is `null` |
| `cpc` | float | *cost-per-click*   represents the average cost per click (USD) historically paid for the keyword.   if there is no data then the value is `null` |
| `search_volume` | integer | *monthly average search volume rate* represents either the (approximate) number of searches for the given keyword idea on bing search engine, depending on the user’s targeting search volume is rounded to the nearest tens  if there is no data then the value is `null` |
| `categories` | array | *product and service categories*   our API doesn’t return categories for this endpoint: the parameter will always equal `null` |
| `monthly_searches` | array | *monthly searches*   represents the (approximate) number of searches on this keyword idea (as available for the past twelve months), targeted to the specified geographic locations   if there is no data then the value is `null` |
| `year` | integer | *year* |
| `month` | integer | *month* |
| `search_volume` | integer | *monthly average search volume rate*   search volume is rounded to the nearest tens |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="10081455-0001-0110-0000-c75b21dcca1c" 
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/bing/search_volume/task_get/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// in addition to 'search_volume' you can also set other parameters
	// the full list of possible parameters is available in documentation
	// GET /v3/keywords_data/bing/search_volume/tasks_ready
	$tasks_ready = $client->get('/v3/keywords_data/bing/search_volume/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/keywords_data/bing/search_volume/task_get/$id
					if (isset($task_ready['endpoint'])) {
						$result[] = $client->get($task_ready['endpoint']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/keywords_data/bing/search_volume/task_get/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/keywords_data/bing/search_volume/task_get/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/keywords_data/bing/search_volume/task_get/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# in addition to 'search_volume' you can also set other parameters
# the full list of possible parameters is available in documentation
# GET /v3/keywords_data/bing/search_volume/tasks_ready
response = client.get("/v3/keywords_data/bing/search_volume/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
				# GET /v3/keywords_data/bing/search_volume/task_get/$id
                if(resultTaskInfo['endpoint']):
                    results.append(client.get(resultTaskInfo['endpoint']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/keywords_data/bing/search_volume/task_get/$id              
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/keywords_data/bing/search_volume/task_get/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // in addition to 'search_volume' you can also set other parameters
            // the full list of possible parameters is available in documentation
            // GET /v3/keywords_data/bing/search_volume/tasks_ready
            var response = await httpClient.GetAsync("/v3/keywords_data/bing/search_volume/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/keywords_data/bing/search_volume/task_get/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/keywords_data/bing/search_volume/task_get/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/keywords_data/bing/search_volume/task_get/" + (string)task.id);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20200923",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10201630-1535-0110-0000-c61f8c2182e8",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0 sec.",
      "cost": 0,
      "result_count": 3,
      "path": [
        "v3",
        "keywords_data",
        "bing",
        "search_volume",
        "task_get",
        "10201630-1535-0110-0000-c61f8c2182e8"
      ],
      "data": {
        "api": "keywords_data",
        "function": "search_volume",
        "se": "bing",
        "location_name": "United States",
        "language_name": "English",
        "keywords": [
          "average page rpm adsense",
          "adsense blank ads how long",
          "leads and prospects"
        ]
      },
      "result": [
        {
          "keyword": "leads and prospects",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.1,
          "cpc": 0,
          "search_volume": 10,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": 0
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": 0
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": 10
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": 0
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": 0
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": 0
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": 10
            }
          ]
        },
        {
          "keyword": "adsense blank ads how long",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.1,
          "cpc": 0,
          "search_volume": 0,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": null
            }
          ]
        },
        {
          "keyword": "average page rpm adsense",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.1,
          "cpc": 0,
          "search_volume": 0,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": null
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": null
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": null
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp